# AOPetscToApplication

Maps a set of integers in the PETSc ordering to the application-defined ordering.

### Synopsis

    #include "petscao.h"
    PetscErrorCode PETSCDM_DLLEXPORT AOPetscToApplication(AO ao,PetscInt n,PetscInt ia[])

Collective on AO

### Input Parameters

| ao | - the application ordering context
| n | - the number of integers
| ia | - the integers

### Note

Any integers in ia[] that are negative are left unchanged. This allows one to convert, for example, neighbor lists that use negative entries to indicate nonexistent neighbors due to boundary conditions, etc.

### Keywords

application ordering, mapping

### See Also

AOCreateBasic(), AOView(),AOApplicationToPetsc(),
AOPetscToApplicationIS(), AOApplicationToPetsc()

Level:beginner
Location:src/dm/ao/interface/ao.c
Index of all AO routines
Table of Contents for all manual pages
Index of all manual pages